#############################################################################
##                                                                         ##
##  setup.gi                        PTREE                  Alexander Cant  ##
##                                                                         ##
#############################################################################

#############################################################################
##
##  If GAP is not started in the directory "pTree", you have to specify the
##  path of this directory on your computer here.
##
DIR := Directory( "./" );


#############################################################################
##
##  Try to assert that DIR is set to the accurate directory.
##
while not IsDirectoryPath( Filename( DIR, "lib/" ) ) or
        not IsDirectoryPath( Filename( DIR, "tex/" ) ) do
    Error( "please set <DIR> to the directory \"pTree\" or ",
            "restart GAP in this directory" );
od;


#############################################################################
##
##  Set up global variables.
##

##  directory for files containing trees in a form that is readable by GAP
DIRLIB := Directory( Filename( DIR, "lib/" ) );

##  directory for *.tex-files
DIRTEX := Directory( Filename( DIR, "tex/" ) );


#############################################################################
##
##  Load ANUPQ.
##
LoadPackage( "anupq" );


#############################################################################
##
##  Read files.
##
Read( Filename( DIR, "basics.gi" ) );
Read( Filename( DIR, "ptrees.gi" ) );
Read( Filename( DIR, "print.gi" ) );
Read( Filename( DIR, "treetools.gi" ) );
Read( Filename( DIR, "compact.gi" ) );
Read( Filename( DIR, "tree2latex.gi" ) );
Read( Filename( DIR, "main.gi" ) );

